Bug 471655 - sectool depends on glibc-headers but rpm is missing dependency
sectool depends on glibc-headers but rpm is missing dependency
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: sectool (Show other bugs)
10
All Linux
high Severity high
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-14 16:13 EST by Adam Pribyl
Modified: 2009-01-07 04:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 04:30:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Pribyl 2008-11-14 16:13:41 EST
Description of problem:
Running sectool tests like passwd, group etc. checking length of names fail, becuase they do not find /usr/include/bits/utmp.h file with the constant for name length. This fail is required for correct functionality and is present in glibc-headers. This package should be dependency for sectool.

Version-Release number of selected component (if applicable):
sectool-0.9.1-3.i386.rpm
Comment 1 Jakub Hrozek 2008-11-18 07:18:23 EST
Thanks for the report, Adam, you're right. I've fixed the issue in upstream git tree.

Also bumping severity and priority, this is likely to affect end users, we should get this fixed as a 0-day-update.
Comment 2 Fedora Update System 2008-11-24 05:45:23 EST
sectool-0.9.2-1 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sectool-0.9.2-1
Comment 3 Bug Zapper 2008-11-26 00:23:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora Update System 2008-11-26 01:16:14 EST
sectool-0.9.2-1 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sectool'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/f10/FEDORA-2008-10272
Comment 5 Fedora Update System 2008-12-01 18:28:23 EST
sectool-0.9.2-2 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sectool-0.9.2-2
Comment 6 Fedora Update System 2008-12-02 20:25:47 EST
sectool-0.9.2-2 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sectool'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10649
Comment 7 Fedora Update System 2009-01-07 04:29:57 EST
sectool-0.9.2-2 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.